Package org.apache.wiki.ui.progress

## Class ProgressItem

- java.lang.Object
- - org.apache.wiki.ui.progress.ProgressItem

    public abstract class ProgressItem
    extends java.lang.Object

Provides access to an progress item.

Since:
  2.6

### Field Summary

Fields
`static int` `CREATED` Status: The PI is created.
`static int` `FINISHED` Status: The PI is finished.
`protected int` `m_state`
`static int` `STARTED` Status: The PI is started.
`static int` `STOPPED` Status: The PI is stopped.

### Constructor Summary

Constructors
`ProgressItem()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract int` `getProgress()` Returns the progress in percents.
`int` `getState()` Get the state of the ProgressItem.
`void` `setState​(int state)` Sets the state of the ProgressItem.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CREATED

    public static final int CREATED

Status: The PI is created.

See Also:
  Constant Field Values

#### STARTED

    public static final int STARTED

Status: The PI is started.

See Also:
  Constant Field Values

#### STOPPED

    public static final int STOPPED

Status: The PI is stopped.

See Also:
  Constant Field Values

#### FINISHED

    public static final int FINISHED

Status: The PI is finished.

See Also:
  Constant Field Values

#### m_state

    protected int m_state

### Constructor Detail

#### ProgressItem

    public ProgressItem()

### Method Detail

#### getState

    public int getState()

Get the state of the ProgressItem.

Returns:
  CREATED, STARTED, STOPPED or FINISHED.

#### setState

    public void setState​(int state)

Sets the state of the ProgressItem.

Parameters:
  `state` - One of the CREATED, STARTED, STOPPED or FINISHED.

#### getProgress

    public abstract int getProgress()

Returns the progress in percents.

Returns:
  An integer 0-100.